# PlaybackState

## Overview

PlaybackState is an Enum that represents the current state of a Tween.

This is used in the PlaybackState property of TweenBase and indicates the state of the Tween.

## Items

| Name      | Value | Description                                                                                                              |
| --------- | ----- | ------------------------------------------------------------------------------------------------------------------------ |
| Begin     | 0     | The Tween has been instantiated, but playback has not yet started. In this state, playback does not start automatically. |
| Delayed   | 1     | The Tween is waiting for the delay time specified in TweenInfo.DelayTime.                                                |
| Playing   | 2     | The Tween is currently playing.                                                                                          |
| Paused    | 3     | The Tween is paused. It can be resumed later.                                                                            |
| Completed | 4     | The Tween playback has completed normally.                                                                               |
| Cancelled | 5     | The Tween has been stopped before completion.                                                                            |

## See also

{% content-ref url="/pages/Y6cpFTTgNkkgQlDN8Ds0" %}
[TweenBase](/development/api-reference/classes/tweenbase.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/development/api-reference/enums/playbackstate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
